/*\
 * This file contains declarations of the class used to sort a list in the
 * specified order.
 *
 * Copyright (C) 2000-2005 Colin Munro
\*/
#ifndef __LISTVIEWERSORT_H__
#define __LISTVIEWERSORT_H__

class CListViewSorter
{
public:
	CListViewSorter();
	~CListViewSorter();
	
	void Sort(CColumn *column,CRow **linkedlist,bool bAscending);
private:
	typedef struct {
		CRow *row;
		CField *data;
	} SORTDATA;
	SORTDATA *array;

	void QuickSort(CColumn *column,bool bAscending,int low,int high);
	int SortCompare(CColumn*,bool,SORTDATA,SORTDATA);
};

#endif // __LISTVIEWERSORT_H__
