#ifndef __DIRWINDOW_H__
#define __DIRWINDOW_H__

class CColumnListView;
class BStringView;
class CDirectoryRow;
class CRow;

#include <Window.h>

class DirWindow : public BWindow
{
public:
	DirWindow(const char *title,const char *path);
	~DirWindow();

	virtual void MessageReceived(BMessage *message);
protected:
	CColumnListView *list;
	BStringView *selection;
private:
	typedef struct ROWEXPANDDATA {
		char *directory_name;
		DirWindow *window;
	} ROWEXPANDDATA;
	static CRow* MatchFunc(CRow *row,void *_data);
};

#endif // __DIRWINDOW_H__
